/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 组件参数
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-12-27 16:33:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "组件参数")
public class CpComponentParamter extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_comId = "comId";
  public static final String KEY_libId = "libId";
  public static final String KEY_paramName = "paramName";
  public static final String KEY_paramIntro = "paramIntro";
  public static final String KEY_paramType = "paramType";
  public static final String KEY_paramFlag = "paramFlag";
  public static final String KEY_paramOrder = "paramOrder";
  public static final String KEY_required = "required";
  public static final String KEY_inputType = "inputType";
  public static final String KEY_defaultValue = "defaultValue";
  public static final String KEY_defaultDisplay = "defaultDisplay";
  public static final String KEY_enumValues = "enumValues";
  public static final String KEY_paramScope = "paramScope";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 组件id<br>
   */
  @ApiModelProperty("组件id")
  @Size(max = 32, message="组件id-comId: 数据长度不能 > 32" )
  private String comId;
  /**
   * 所属组件库id<br>
   */
  @ApiModelProperty("所属组件库id")
  @Size(max = 32, message="所属组件库id-libId: 数据长度不能 > 32" )
  private String libId;
  /**
   * 参数名<br>
   */
  @ApiModelProperty("参数名")
  @Size(max = 100, message="参数名-paramName: 数据长度不能 > 100" )
  private String paramName;
  /**
   * 参数说明<br>
   */
  @ApiModelProperty("参数说明")
  @Size(max = 200, message="参数说明-paramIntro: 数据长度不能 > 200" )
  private String paramIntro;
  /**
   * 参数类型<br>
   */
  @ApiModelProperty("参数类型")
  @Size(max = 20, message="参数类型-paramType: 数据长度不能 > 20" )
  private String paramType;
  /**
   * 参数标志0-输入,1-输出<br>
   */
  @ApiModelProperty("参数标志0-输入,1-输出")
  private Integer paramFlag;
  /**
   * 参数顺序<br>
   */
  @ApiModelProperty("参数顺序")
  private Integer paramOrder;
  /**
   * 是否必填0-必输,1-非必输<br>
   */
  @ApiModelProperty("是否必填0-必输,1-非必输")
  private Integer required;
  /**
   * 输入框类型，text普通，select单选，selects多选<br>
   */
  @ApiModelProperty("输入框类型，text普通，select单选，selects多选")
  @Size(max = 50, message="输入框类型，text普通，select单选，selects多选-inputType: 数据长度不能 > 50" )
  private String inputType;
  /**
   * 默认值<br>
   */
  @ApiModelProperty("默认值")
  @Size(max = 100, message="默认值-defaultValue: 数据长度不能 > 100" )
  private String defaultValue;
  /**
   * 是否默认展示0-展示1-隐藏<br>
   */
  @ApiModelProperty("是否默认展示0-展示1-隐藏")
  private Integer defaultDisplay;
  /**
   * 枚举值<br>
   */
  @ApiModelProperty("枚举值")
  @Size(max = 65535, message="枚举值-enumValues: 数据长度不能 > 65535" )
  private String enumValues;
  /**
   * 参数范围<br>
   */
  @ApiModelProperty("参数范围")
  @Size(max = 20, message="参数范围-paramScope: 数据长度不能 > 20" )
  private String paramScope;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 组件id<br>
   */
  public String getComId()
  {
      return comId;
    }

  /**
   * 组件id<br>
   *
   * @param comId 组件id
   */
  public void setComId(String comId)
  {
      this.comId = comId;
    }
  /**
   * 所属组件库id<br>
   */
  public String getLibId()
  {
      return libId;
    }

  /**
   * 所属组件库id<br>
   *
   * @param libId 所属组件库id
   */
  public void setLibId(String libId)
  {
      this.libId = libId;
    }
  /**
   * 参数名<br>
   */
  public String getParamName()
  {
      return paramName;
    }

  /**
   * 参数名<br>
   *
   * @param paramName 参数名
   */
  public void setParamName(String paramName)
  {
      this.paramName = paramName;
    }
  /**
   * 参数说明<br>
   */
  public String getParamIntro()
  {
      return paramIntro;
    }

  /**
   * 参数说明<br>
   *
   * @param paramIntro 参数说明
   */
  public void setParamIntro(String paramIntro)
  {
      this.paramIntro = paramIntro;
    }
  /**
   * 参数类型<br>
   */
  public String getParamType()
  {
      return paramType;
    }

  /**
   * 参数类型<br>
   *
   * @param paramType 参数类型
   */
  public void setParamType(String paramType)
  {
      this.paramType = paramType;
    }
  /**
   * 参数标志0-输入,1-输出<br>
   */
  public Integer getParamFlag()
  {
      return paramFlag;
    }

  /**
   * 参数标志0-输入,1-输出<br>
   *
   * @param paramFlag 参数标志0-输入,1-输出
   */
  public void setParamFlag(Integer paramFlag)
  {
      this.paramFlag = paramFlag;
    }
  /**
   * 参数顺序<br>
   */
  public Integer getParamOrder()
  {
      return paramOrder;
    }

  /**
   * 参数顺序<br>
   *
   * @param paramOrder 参数顺序
   */
  public void setParamOrder(Integer paramOrder)
  {
      this.paramOrder = paramOrder;
    }
  /**
   * 是否必填0-必输,1-非必输<br>
   */
  public Integer getRequired()
  {
      return required;
    }

  /**
   * 是否必填0-必输,1-非必输<br>
   *
   * @param required 是否必填0-必输,1-非必输
   */
  public void setRequired(Integer required)
  {
      this.required = required;
    }
  /**
   * 输入框类型，text普通，select单选，selects多选<br>
   */
  public String getInputType()
  {
      return inputType;
    }

  /**
   * 输入框类型，text普通，select单选，selects多选<br>
   *
   * @param inputType 输入框类型，text普通，select单选，selects多选
   */
  public void setInputType(String inputType)
  {
      this.inputType = inputType;
    }
  /**
   * 默认值<br>
   */
  public String getDefaultValue()
  {
      return defaultValue;
    }

  /**
   * 默认值<br>
   *
   * @param defaultValue 默认值
   */
  public void setDefaultValue(String defaultValue)
  {
      this.defaultValue = defaultValue;
    }
  /**
   * 是否默认展示0-展示1-隐藏<br>
   */
  public Integer getDefaultDisplay()
  {
      return defaultDisplay;
    }

  /**
   * 是否默认展示0-展示1-隐藏<br>
   *
   * @param defaultDisplay 是否默认展示0-展示1-隐藏
   */
  public void setDefaultDisplay(Integer defaultDisplay)
  {
      this.defaultDisplay = defaultDisplay;
    }
  /**
   * 枚举值<br>
   */
  public String getEnumValues()
  {
      return enumValues;
    }

  /**
   * 枚举值<br>
   *
   * @param enumValues 枚举值
   */
  public void setEnumValues(String enumValues)
  {
      this.enumValues = enumValues;
    }
  /**
   * 参数范围<br>
   */
  public String getParamScope()
  {
      return paramScope;
    }

  /**
   * 参数范围<br>
   *
   * @param paramScope 参数范围
   */
  public void setParamScope(String paramScope)
  {
      this.paramScope = paramScope;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpComponentParamter()
  {
  }

}
